package it.html.oauth.service;

import org.springframework.stereotype.Service;

import it.html.oauth.model.OAuthUser;
import it.html.oauth.model.User;


@Service
public class LoginServiceImpl implements LoginService {

	@Override
	public User login(OAuthUser user) {		
		return adapt(user);
	}

	private User adapt(OAuthUser user) {
		User result = new User();
		result.setUsername(user.getEmail());
		result.setEmail(user.getEmail());
		result.setName(user.getName());

		return result;
	}


}
